add host-management network
Change-Id: I2644b13be41a840705a5aa2294ec68246167c562
diff --git a/cord-pod/cleanup.sh b/cord-pod/cleanup.sh
index 704cacb..6e6970c 100755
--- a/cord-pod/cleanup.sh
+++ b/cord-pod/cleanup.sh
@@ -31,6 +31,7 @@
cleanup_network mysite_vcpe-private
cleanup_network mysite_vsg-access
cleanup_network management
+cleanup_network management_hosts
echo "Deleting networks"
# Delete all networks beginning with mysite_
@@ -46,5 +47,6 @@
neutron net-delete hpc_client_network || true
neutron net-delete ceilometer_network || true
neutron net-delete management || true
+neutron net-delete management_hosts || true
neutron net-delete mysite_vsg-access || true
neutron net-delete exampleservice-public || true
diff --git a/cord-pod/cord-services.yaml b/cord-pod/cord-services.yaml
index d53e0da..24a9549 100644
--- a/cord-pod/cord-services.yaml
+++ b/cord-pod/cord-services.yaml
@@ -130,6 +130,13 @@
no-delete: true
no-update: true
+ management_hosts:
+ type: tosca.nodes.network.Network.XOS
+ properties:
+ no-create: true
+ no-delete: true
+ no-update: true
+
image#vsg-1.1:
type: tosca.nodes.Image
@@ -171,6 +178,9 @@
- management:
node: management
relationship: tosca.relationships.ConnectsToNetwork
+# - management_hosts:
+# node: management_hosts
+# relationship: tosca.relationships.ConnectsToNetwork
- image:
node: image#vsg-1.1
relationship: tosca.relationships.DefaultImage
diff --git a/cord-pod/make-vtn-external-yaml.sh b/cord-pod/make-vtn-external-yaml.sh
index 6cba10e..a100e82 100644
--- a/cord-pod/make-vtn-external-yaml.sh
+++ b/cord-pod/make-vtn-external-yaml.sh
@@ -101,6 +101,20 @@
node: service#ONOS_CORD
relationship: tosca.relationships.MemberOfService
+ # VTN dataPlaneIntf field for node $NODE
+ ${NODE}_hostManagementIface_tag:
+ type: tosca.nodes.Tag
+ properties:
+ name: hostManagementIface
+ value: veth3
+ requirements:
+ - target:
+ node: $NODE
+ relationship: tosca.relationships.TagsObject
+ - service:
+ node: service#ONOS_CORD
+ relationship: tosca.relationships.MemberOfService
+
EOF
done
diff --git a/cord-pod/mgmt-net.yaml b/cord-pod/mgmt-net.yaml
index 27b8b51..6514330 100644
--- a/cord-pod/mgmt-net.yaml
+++ b/cord-pod/mgmt-net.yaml
@@ -27,6 +27,28 @@
node: mysite_management
relationship: tosca.relationships.MemberOfSlice
+ management_hosts_template:
+ type: tosca.nodes.NetworkTemplate
+ properties:
+ visibility: private
+ translation: none
+ vtn_kind: MANAGEMENT_HOST
+
+ management_hosts:
+ type: tosca.nodes.network.Network
+ properties:
+ ip_version: 4
+ cidr: 10.1.0.0/24
+ start_ip: 10.1.0.128
+ end_ip: 10.1.0.254
+ requirements:
+ - network_template:
+ node: management_hosts_template
+ relationship: tosca.relationships.UsesNetworkTemplate
+ - owner:
+ node: mysite_management
+ relationship: tosca.relationships.MemberOfSlice
+
mysite:
type: tosca.nodes.Site